﻿@model ContosoUniversity.DTO.ThongTinSuCo_Edit

<style>










    .tableborderless-editsuco tr td {
        border: none !important;
    }

    .div-create-suco-edit {
        border: 2px solid #f5f5f5;
        border-radius: 6px;
        margin-top: 10px;
        padding-bottom: 10px;
    }



    .label-editsuco {
        width: 30%;
    }

    .input-addsuco {
        width: 70%;
    }
    /*.div-create-suco-new{
        width:60%;
    }*/
    .row-item-edit {
        width: 50%;
    }

    .phanloaisuco-edit {
        border: 1px solid;
        margin-left: 20px;
        width: 85%;
    }
    /*mobile: width <740px*/
    @@media only screen and (max-width: 46.1875em) {
        .label-editsuco {
            width: 100%;
        }

        .modal-content {
            width: 100%;
        }
        .modal-content {
            width: 100% !important;
        }
    }
    /*tablet: width >=740px and width < 1024px*/
    @@media only screen and (min-width : 46.25em) and (max-width: 63.9375em) {
        .label-editsuco {
            width: 69%;
        }

        .modal-content{
            width:56%;
        }
    }
</style>
<style>
    .modal-content {
        position: relative;
        margin: 0 auto;
        top: 10%;
    }

    /*.modal-footer {
        margin-top: 0px;
    }*/

</style>
<!-- Modal content-->
<div class="modal-content" style="width: 60%; ">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Chỉnh sửa sự cố - SC @Html.DisplayFor(model => model.IDSuCo_Edit)</h4>
        @Html.HiddenFor(x => x.IDSuCo_Edit)
    </div>
    <div class="modal-body">
        <div class="div-create-suco-edit">
            <table class="table tableborderless-editsuco">
                <tr class="">
                    <td class="row-item-edit">
                        <div class="form-group">

                            @Html.LabelFor(x => x.MoTaSuCo_Edit, htmlAttributes: new { @class = "control-label label-editsuco col-md-3" })
                            <div class="input-addsuco col-md-9">
                                @Html.EditorFor(x => x.MoTaSuCo_Edit, new { htmlAttributes = new { @class = "form-control" } })
                            </div>
                        </div>
                    </td>
                    <td class="row-item-edit">
                        <div class="form-group">

                            @Html.LabelFor(x => x.NguoiMoTa_Edit, htmlAttributes: new { @class = "control-label label-editsuco col-md-3" })
                            <div class=" input-addsuco col-md-9">
                                @Html.EditorFor(x => x.NguoiMoTa_Edit, new { htmlAttributes = new { @class = "form-control" } })
                                @*@Html.DropDownListFor(x => x.NguoiMoTa_Edit, new SelectList(ViewBag.GetUser, "Name", "Name"), new { @class = "form-control" })*@

                            </div>
                        </div>
                    </td>

                </tr>
                <tr>
                    <td class="row-item-edit">
                        <div class="form-group">

                            @Html.LabelFor(x => x.NgaySayRaSuCo_Edit, htmlAttributes: new { @class = "control-label label-editsuco col-md-3" })
                            <div class="input-addsuco col-md-9">
                                @Html.TextBoxFor(x => x.NgaySayRaSuCo_Edit, "{0:dd/MM/yyyy}", new { @class = "form-control", placeholder = "dd/mm/yyyy" })

                            </div>
                        </div>
                    </td>
                    <td class="row-item-edit">
                        <div class="form-group">
                            @Html.LabelFor(x => x.NguoiDeXuat_Edit, htmlAttributes: new { @class = "control-label label-editsuco col-md-3" })
                            <div class="input-addsuco col-md-9">
                                @Html.EditorFor(x => x.NguoiDeXuat_Edit, new { htmlAttributes = new { @class = "form-control" } })
                                @*@Html.DropDownListFor(x => x.NguoiDeXuat_Edit, new SelectList(ViewBag.GetUser, "Name", "Name"), new { @class = "form-control" })*@

                            </div>
                        </div>
                    </td>
                </tr>

                <tr class="">
                    <td class="row-item-edit">
                        <div class="form-group">
                            @Html.LabelFor(x => x.QuaTrinhXuLy_Edit, htmlAttributes: new { @class = "control-label label-editsuco col-md-3" })
                            <div class="input-addsuco col-md-9">
                                @Html.EditorFor(x => x.QuaTrinhXuLy_Edit, new { htmlAttributes = new { @class = "form-control" } })
                            </div>
                        </div>
                    </td>
                    <td class="row-item-edit">
                        <div class="form-group">
                            @Html.LabelFor(x => x.TrangThaiXuLy_Edit, htmlAttributes: new { @class = "control-label label-editsuco col-md-3" })
                            <div class="input-addsuco col-md-9">
                                @*@Html.EnumDropDownListFor()*@
                                @Html.DropDownList("TrangThaiXuLy_Edit", new SelectList(ViewBag.EnumTrangThaiXuLy, "Name", "Name"), new { @class = "form-control" })

                                @*@Html.EditorFor(x => x.TrangThaiXuLy, new { htmlAttributes = new { @class = "form-control" } })*@
                            </div>
                        </div>
                    </td>

                </tr>

                <tr class="">

                    <td class="row-item-edit">
                        <div class="form-group" style="width:auto !important">
                            <fieldset class="phanloaisuco-edit" @*style="border: 1px solid; margin-left:20px; width:81%;"*@>
                                <legend style="width:auto;border-bottom:none; margin-bottom: 0px;"><b style="font-size:13px">Phân loại sự cố</b></legend>

                                <table>
                                    <tr>
                                        <td>
                                            @Html.CheckBoxFor(x => x.ThoiGianVanHanh_Edit)
                                            Thời gian vận hành
                                        </td>
                                        <td>
                                            @Html.CheckBoxFor(x => x.ChiSoHoaHoc_Edit)
                                            Chỉ số hóa học
                                        </td>
                                        <td>
                                            @Html.CheckBoxFor(x => x.HuHongThietBi_Edit)
                                            Hư hỏng thiết bị
                                        </td>
                                    </tr>

                                </table>
                            </fieldset>
                        </div>

                    </td>
                    <td class="row-item-edit">
                        <div class="form-group">
                            @Html.LabelFor(x => x.CachKhacPhuc_Edit, htmlAttributes: new { @class = "control-label label-editsuco col-md-3" })
                            <div class="input-addsuco col-md-9">
                                @Html.TextAreaFor(x => x.CachKhacPhuc_Edit, new { @class = "form-control" })
                            </div>
                        </div>
                    </td>
                </tr>

            </table>
        </div>
    </div>
    <div class="modal-footer">

        <input type="submit" onclick="EditSuCo_Popup();" id="EditSuCo_Popup" value="Lưu" class="btn btn-default" />

        <button type="button" class="btn btn-default" data-dismiss="modal">Đóng</button>
    </div>
</div>
<link href="~/Content/bootstrap-datepicker3.min.css" rel="stylesheet" type="text/css" />
<script src="~/Scripts/bootstrap-datepicker.min.js"></script>
<script>
    function EditSuCo_Popup() {
        debugger;
        var suCo_Edit = {
            IDSuCo_Edit: $('#@Html.IdFor(x => x.IDSuCo_Edit)').val(),
            MoTaSuCo_Edit: $('#@Html.IdFor(x => x.MoTaSuCo_Edit)').val(),
            NguoiMoTa_Edit: $('#@Html.IdFor(x => x.NguoiMoTa_Edit)').val(),
            CachKhacPhuc_Edit: $('#@Html.IdFor(x => x.CachKhacPhuc_Edit)').val(),
            NguoiDeXuat_Edit: $('#@Html.IdFor(x => x.NguoiDeXuat_Edit)').val(),
            QuaTrinhXuLy_Edit: $('#@Html.IdFor(x => x.QuaTrinhXuLy_Edit)').val(),
            TrangThaiXuLy_Edit: $('#@Html.IdFor(x => x.TrangThaiXuLy_Edit)').val(),
            ThoiGianVanHanh_Edit: document.getElementById('ThoiGianVanHanh_Edit').checked,//$('#@Html.IdFor(x => x.ThoiGianVanHanh_Edit)').val(),
            ChiSoHoaHoc_Edit: document.getElementById('ChiSoHoaHoc_Edit').checked,//$('#@Html.IdFor(x => x.ChiSoHoaHoc_Edit)').val(),
            HuHongThietBi_Edit: document.getElementById('HuHongThietBi_Edit').checked,//$('#@Html.IdFor(x => x.HuHongThietBi_Edit)').val(),
            FileData_Edit: $('#@Html.IdFor(x => x.FileData_Edit)').val(),
            NgaySayRaSuCo_Edit: $('#@Html.IdFor(x => x.NgaySayRaSuCo_Edit)').val(),
        }

        $.ajax({
            type: "post",
            url: "/ThongtinSuCoes/EditSuCo",
            data: suCo_Edit,
            datatype: "json",
            cache: false,
            //processData: false,
            success: function (data) {
                debugger;
                if (data.isvalid == false) {
                    toastr.warning(data.mess)
                } else {
                    toastr.success(data.mess);
                    setTimeout(function () {
                        location.reload()
                    }, 250);
                    //refresh();
                }
            },
            error: function (xhr) {

                //toastr.success("Thành công");
                //toastr.warning('My name is Inigo Montoya. You killed my father, prepare to die!');
                toastr.error('Đã có lỗi xảy ra!')
                //toastr.info('My name is Inigo Montoya. You killed my father, prepare to die!')
            }
        });
    }
    !function (a) {
        a.fn.datepicker.dates.vi = {
            days: ["Chủ nhật", "Thứ hai", "Thứ ba", "Thứ tư", "Thứ năm", "Thứ sáu", "Thứ bảy"],
            daysShort: ["CN", "Thứ 2", "Thứ 3", "Thứ 4", "Thứ 5", "Thứ 6", "Thứ 7"],
            daysMin: ["CN", "T2", "T3", "T4", "T5", "T6", "T7"],
            months: ["Tháng 1", "Tháng 2", "Tháng 3", "Tháng 4", "Tháng 5", "Tháng 6", "Tháng 7", "Tháng 8", "Tháng 9", "Tháng 10", "Tháng 11", "Tháng 12"],
            monthsShort: ["Th1", "Th2", "Th3", "Th4", "Th5", "Th6", "Th7", "Th8", "Th9", "Th10", "Th11", "Th12"],
            today: "Hôm nay",
            clear: "Xóa",
            format: "dd/mm/yyyy"
        }
    }(jQuery);
    $('#NgaySayRaSuCo_Edit').datepicker({
        format: 'dd/mm/yyyy',
        locale: 'vi',
        language: "vi",
        todaybtn: "linked",
        todayhighlight: true,
        autoclose: true
    });
</script>